#!/usr/bin/env bash
# 文件: k8s-worker-jorn.sh

source $(dirname $0)/.vars.conf
source $(dirname $0)/.hosts.conf

export cluster_ca_cert_hash=$(openssl x509 -pubkey -in /etc/kubernetes/pki/ca.crt | openssl rsa -pubin -outform der 2>/dev/null | openssl dgst -sha256 -hex | sed 's/^.* /sha256:/')

envsubst < $(realpath -m .)/yamls/kubeadm-join.yaml >${install_dir}/kubeadm-join.yaml

for ip in ${worker_node_ip[@]}
do
    scp ${ssh_option} ${install_dir}/kubeadm-join.yaml root@${ip}:/tmp/kubeadm-jorn.yaml &&  ssh -t ${ssh_option} root@${ip} "kubeadm join --config /tmp/kubeadm-jorn.yaml"
done
